Authenticate for the API.
POST
/api/v1/authenticate
Request Body required
Section titled “Request Body required ”object
username
Username to authenticate with.
string
Example
johndoe password
Password belonging to the given username.
string
Example
kDWPe4qf$&mgM26&8hXResponses
Section titled “ Responses ”Successfully authenticated.
object
token
Authentication token. Use this to request resources requiring authentication.
string format: string
Example
eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c refreshToken
Refresh token. Use this to request a new authentication token.
string format: string
Example
eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5cA list of possible errors for this endpoint.
object
code
required
string
message
required
string
solution
required
string
Example
{ "errors": { "ER038": { "code": "ER038", "message": "Bad credentials.", "solution": "Provide valid credentials." }, "ER999": { "code": "ER999", "message": "A general error has occurred. Please contact our support team.", "solution": "Contact our support team." } }}